/* 
 * Copyright (C) 2004 Romain Dolbeau <romain@dolbeau.org>
 *
 *  This file is subject to the terms and conditions of the GNU General Public
 *  License. See the file COPYING in the main directory of this archive for
 *  more details.
 */

package lavcGenetic;

import java.util.*;

class lavcEncodeData implements java.io.Serializable {
    String source = "test.avi";
    int aid = 1;
    String videoFilter = "";
    String audioCodec = "copy"; // "mp3lame";
    String audioOptions = "" ;  // "-lameopts preset=medium";
    String output = "/dev/null";
    lavcOptionList lavcOpts = null;
    String workdir = "/tmp";
    lavcCodecData codecData = null;
    
    String getLacvOptsString() {
        return lavcOpts.toPrettyString();
    }

    lavcEncodeData(lavcOptionList lo, lavcCodecData cd) {
        lavcOpts = new lavcOptionList(lo);
        codecData = cd;
    }
}
