/* 
 * Copyright (C) 2004 Romain Dolbeau <romain@dolbeau.org>
 *
 *  This file is subject to the terms and conditions of the GNU General Public
 *  License. See the file COPYING in the main directory of this archive for
 *  more details.
 */

package lavcGenetic;

abstract class lavcOption implements java.io.Serializable {
    abstract java.util.List getAllVariants();
    abstract String getDescription();

    public boolean equals(Object o) {
        if (o instanceof lavcOption) {
            lavcOption o2 = (lavcOption)o;

            if (getAllVariants().equals(o2.getAllVariants()))
                return true;
        }

        return false;
    }
}
