/* 
 * Copyright (C) 2004 Romain Dolbeau <romain@dolbeau.org>
 *
 *  This file is subject to the terms and conditions of the GNU General Public
 *  License. See the file COPYING in the main directory of this archive for
 *  more details.
 */

package lavcGenetic;

abstract class lavcOptionInstance implements Comparable, java.io.Serializable {
    private static int next = 0;
    private int num;

    abstract String getLavcOptionString();

    lavcOptionInstance() {
        num = next++;
    }

    public String toString() {
        return getLavcOptionString();
    }
    
    public int compareTo(Object o) {
        lavcOptionInstance o2 = (lavcOptionInstance)o;

        return num - o2.num;
    }
    
}
